diff -Nurd kdebase-3.5.10/applnk/Makefile.am kdebase-3.5.10-new/applnk/Makefile.am
--- kdebase-3.5.10/applnk/Makefile.am	2007-01-15 03:32:11.000000000 -0800
+++ kdebase-3.5.10-new/applnk/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 xdg_menu_DATA = kde-settings.menu kde-information.menu kde-screensavers.menu
 
 xdg_mergedmenu_DATA = kde-essential.menu
-xdg_mergedmenudir = $(xdg_menudir)/applications-merged
+xdg_mergedmenudir = $(xdg_menudir)/kde-applications-merged
 
 xdg_directory_DATA = \
 kde-main.directory \
diff -Nurd kdebase-3.5.10/doc/userguide/kde-for-admins.docbook kdebase-3.5.10-new/doc/userguide/kde-for-admins.docbook
--- kdebase-3.5.10/doc/userguide/kde-for-admins.docbook	2006-07-22 01:15:40.000000000 -0700
+++ kdebase-3.5.10-new/doc/userguide/kde-for-admins.docbook	2010-05-13 05:26:40.000000000 -0700
@@ -1669,7 +1669,7 @@
 </para>
 
 <informalexample>
-<para>Example from <filename>applications.menu</filename>:
+<para>Example from <filename>kde-applications.menu</filename>:
 <programlisting>
 <markup>
 	&lt;Menu&gt;
@@ -1743,7 +1743,7 @@
 information, see <ulink url="http://www.freedesktop.org/Standards/basedir-spec">http://www.freedesktop.org/Standards/basedir-spec</ulink></para>
 
 <informalexample>
-<para>Example from <filename>applications.menu</filename>:
+<para>Example from <filename>kde-applications.menu</filename>:
 <programlisting>
 <markup>
              &lt;Menu&gt;
@@ -1795,7 +1795,7 @@
 <title>Essential Menus</title>
 
 <para><filename
-class="directory">$<envar>KDEDIR</envar>/etc/xdg/menus/applications-merged/</filename>
+class="directory">$<envar>KDEDIR</envar>/etc/xdg/menus/kde-applications-merged/</filename>
 contains <filename>kde-essential.menu</filename> which includes some
 essential menus that are normally not shown in the &kde; menu itself:
 <itemizedlist>
diff -Nurd kdebase-3.5.10/drkonqi/Makefile.am kdebase-3.5.10-new/drkonqi/Makefile.am
--- kdebase-3.5.10/drkonqi/Makefile.am	2005-09-10 01:25:55.000000000 -0700
+++ kdebase-3.5.10-new/drkonqi/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -8,15 +8,17 @@
 
 EXTRA_DIST = LICENSE
 
-bin_PROGRAMS = drkonqi
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = drkonqi.la
 
 # Libraries:
-AM_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-LDADD  = $(LIB_KDEUI) $(LIB_KIO)
+drkonqi_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+drkonqi_la_LIBADD  = $(LIB_KDEUI) $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 # toplevel.cpp must be last in row due to X-headers being included. (--enable-final)
 # Did I mention already that X header files really suck?
-drkonqi_SOURCES = krashdcopinterface.skel main.cpp debugger.cpp krashconf.cpp drbugreport.cpp backtrace.cpp toplevel.cpp
+drkonqi_la_SOURCES = krashdcopinterface.skel main.cpp debugger.cpp krashconf.cpp drbugreport.cpp backtrace.cpp toplevel.cpp
 
 
 check_PROGRAMS = crashtest
diff -Nurd kdebase-3.5.10/drkonqi/main.cpp kdebase-3.5.10-new/drkonqi/main.cpp
--- kdebase-3.5.10/drkonqi/main.cpp	2006-07-22 01:15:52.000000000 -0700
+++ kdebase-3.5.10-new/drkonqi/main.cpp	2010-05-13 05:26:40.000000000 -0700
@@ -57,7 +57,7 @@
   KCmdLineLastOption
 };
 
-int main( int argc, char* argv[] )
+extern "C" KDE_EXPORT int kdemain( int argc, char* argv[] )
 {
   // Drop privs.
   setgid(getgid());
diff -Nurd kdebase-3.5.10/kappfinder/Makefile.am kdebase-3.5.10-new/kappfinder/Makefile.am
--- kdebase-3.5.10/kappfinder/Makefile.am	2005-09-10 01:25:41.000000000 -0700
+++ kdebase-3.5.10-new/kappfinder/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -1,13 +1,21 @@
 SUBDIRS = apps
 
-bin_PROGRAMS = kappfinder
-kappfinder_SOURCES = main.cpp toplevel.cpp common.cpp
-kappfinder_LDADD = $(LIB_KDEUI) $(LIB_KIO)
-kappfinder_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kappfinder.la
+
+kappfinder_la_SOURCES = main.cpp toplevel.cpp kacommon.cpp
+kappfinder_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
+kappfinder_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+
+$(srcdir)/kacommon.cpp: $(srcdir)/common.cpp
+	cat $(srcdir)/common.cpp > $(srcdir)/kacommon.cpp
+
+DISTCLEANFILES = kacommon.cpp
 
 noinst_PROGRAMS = kappfinder_install
 kappfinder_install_SOURCES = main_install.cpp common.cpp
-kappfinder_install_LDADD = $(LIB_KDEUI)
+kappfinder_install_LDADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 kappfinder_install_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 INCLUDES = $(all_includes)
diff -Nurd kdebase-3.5.10/kappfinder/main.cpp kdebase-3.5.10-new/kappfinder/main.cpp
--- kdebase-3.5.10/kappfinder/main.cpp	2007-10-08 02:51:26.000000000 -0700
+++ kdebase-3.5.10-new/kappfinder/main.cpp	2010-05-13 05:26:40.000000000 -0700
@@ -31,7 +31,7 @@
   KCmdLineLastOption
 };
 
-int main( int argc, char *argv[] )
+extern "C" KDE_EXPORT int kdemain( int argc, char *argv[] )
 {
   KAboutData aboutData( "kappfinder", I18N_NOOP( "KAppfinder" ),
                         "1.0", description, KAboutData::License_GPL,
diff -Nurd kdebase-3.5.10/kate/app/Makefile.am kdebase-3.5.10-new/kate/app/Makefile.am
--- kdebase-3.5.10/kate/app/Makefile.am	2005-10-10 08:03:41.000000000 -0700
+++ kdebase-3.5.10-new/kate/app/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -12,7 +12,7 @@
   kateexternaltools.cpp katesavemodifieddialog.cpp kateviewspacecontainer.cpp \
   katemwmodonhddialog.cpp katesession.cpp katemdi.cpp katetabwidget.cpp
 
-libkateinterfaces_la_LIBADD   = ../interfaces/libkateinterfacesprivate.la $(LIB_KUTILS) ../utils/libkateutils.la
+libkateinterfaces_la_LIBADD   = ../interfaces/libkateinterfacesprivate.la $(LIB_KUTILS) ../utils/libkateutils.la -lDCOP $(LIB_KPARTS) -lktexteditor
 
 libkateinterfaces_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined
 
@@ -21,7 +21,7 @@
 kate_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
 
 kwrite_la_SOURCES = kwritemain.cpp
-kwrite_la_LIBADD   = -lkatepartinterfaces  ../utils/libkateutils.la
+kwrite_la_LIBADD   = -lkatepartinterfaces  ../utils/libkateutils.la -lDCOP $(LIB_KPARTS) -lktexteditor
 kwrite_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
 
 METASOURCES = AUTO
diff -Nurd kdebase-3.5.10/kate/utils/Makefile.am kdebase-3.5.10-new/kate/utils/Makefile.am
--- kdebase-3.5.10/kate/utils/Makefile.am	2005-09-10 01:24:58.000000000 -0700
+++ kdebase-3.5.10-new/kate/utils/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -8,7 +8,7 @@
 
 libkateutils_la_LDFLAGS = $(all_libraries) -no-undefined
                       
-libkateutils_la_LIBADD = $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO)
+libkateutils_la_LIBADD = $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO) $(LIB_QT)
 
 libkateutils_la_METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kcminit/Makefile.am kdebase-3.5.10-new/kcminit/Makefile.am
--- kdebase-3.5.10/kcminit/Makefile.am	2006-05-22 11:12:41.000000000 -0700
+++ kdebase-3.5.10-new/kcminit/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -22,11 +22,11 @@
 lib_LTLIBRARIES=
 
 kcminit_la_SOURCES = main.cpp main.skel
-kcminit_la_LIBADD = $(LIB_KDEUI) $(LIB_KUTILS)
+kcminit_la_LIBADD = $(LIB_KDEUI) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) -lDCOP $(LIB_KIO)
 kcminit_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 kcminit_startup_la_SOURCES = main.cpp main.skel
-kcminit_startup_la_LIBADD = $(LIB_KDEUI) $(LIB_KUTILS)
+kcminit_startup_la_LIBADD = $(LIB_KDEUI) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) -lDCOP $(LIB_KIO)
 kcminit_startup_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 AM_CPPFLAGS = $(all_includes)
diff -Nurd kdebase-3.5.10/kcontrol/access/Makefile.am kdebase-3.5.10-new/kcontrol/access/Makefile.am
--- kdebase-3.5.10/kcontrol/access/Makefile.am	2005-09-10 01:25:08.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/access/Makefile.am	2010-05-13 05:26:51.000000000 -0700
@@ -9,11 +9,11 @@
 
 kaccess_la_SOURCES = kaccess.cpp main.cpp
 kaccess_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kaccess_la_LIBADD = $(LIB_KDEUI)
+kaccess_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 kcm_access_la_SOURCES = kcmaccess.cpp 
 kcm_access_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_access_la_LIBADD = $(LIB_KIO)
+kcm_access_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 noinst_HEADERS = kcmaccess.h
 
diff -Nurd kdebase-3.5.10/kcontrol/accessibility/Makefile.am kdebase-3.5.10-new/kcontrol/accessibility/Makefile.am
--- kdebase-3.5.10/kcontrol/accessibility/Makefile.am	2006-03-17 02:17:12.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/accessibility/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 
 kcm_accessibility_la_SOURCES = accessibility.cpp accessibilityconfigwidget.ui
 kcm_accessibility_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_accessibility_la_LIBADD = $(LIB_KIO)
+kcm_accessibility_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 noinst_HEADERS = accessibility.h
 
diff -Nurd kdebase-3.5.10/kcontrol/arts/Makefile.am kdebase-3.5.10-new/kcontrol/arts/Makefile.am
--- kdebase-3.5.10/kcontrol/arts/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/arts/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_arts_la_SOURCES = arts.cpp generaltab.ui hardwaretab.ui krichtextlabel.cpp
 
 kcm_arts_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_arts_la_LIBADD = $(LIB_KIO) $(LIB_KUTILS) -lkmid
+kcm_arts_la_LIBADD = $(LIB_KIO) $(LIB_KUTILS) -lkmid $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 AM_CPPFLAGS = -I$(kde_includes)/arts  $(all_includes)
 
diff -Nurd kdebase-3.5.10/kcontrol/background/Makefile.am kdebase-3.5.10-new/kcontrol/background/Makefile.am
--- kdebase-3.5.10/kcontrol/background/Makefile.am	2006-03-17 02:17:11.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/background/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -6,7 +6,7 @@
 
 kcm_background_la_SOURCES = main.cpp
 kcm_background_la_LDFLAGS = $(KDE_RPATH) -module -avoid-version $(all_libraries) -no-undefined
-kcm_background_la_LIBADD = libkcmbgnd.la libbgnd.la $(LIB_KFILE) $(LIB_KNEWSTUFF)
+kcm_background_la_LIBADD = libkcmbgnd.la libbgnd.la $(LIB_KFILE) $(LIB_KNEWSTUFF) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lkdefx -lDCOP
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kcontrol/bell/Makefile.am kdebase-3.5.10-new/kcontrol/bell/Makefile.am
--- kdebase-3.5.10/kcontrol/bell/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/bell/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_bell_la_SOURCES = bell.cpp
 
 kcm_bell_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_bell_la_LIBADD = -lkdeui
+kcm_bell_la_LIBADD = -lkdeui $(LIB_QT) $(LIB_KDECORE)
 
 AM_CPPFLAGS= $(all_includes)
 
diff -Nurd kdebase-3.5.10/kcontrol/clock/Makefile.am kdebase-3.5.10-new/kcontrol/clock/Makefile.am
--- kdebase-3.5.10/kcontrol/clock/Makefile.am	2005-09-10 01:25:11.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/clock/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_clock_la_SOURCES = dtime.cpp tzone.cpp main.cpp 
 
 kcm_clock_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_clock_la_LIBADD = $(LIB_KIO)
+kcm_clock_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 AM_CPPFLAGS = $(all_includes)
  
diff -Nurd kdebase-3.5.10/kcontrol/colors/Makefile.am kdebase-3.5.10-new/kcontrol/colors/Makefile.am
--- kdebase-3.5.10/kcontrol/colors/Makefile.am	2006-03-17 02:17:17.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/colors/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -4,7 +4,7 @@
 
 kcm_colors_la_SOURCES = colorscm.cpp widgetcanvas.cpp 
 kcm_colors_la_LDFLAGS = $(KDE_RPATH) -module -avoid-version $(all_libraries) -no-undefined
-kcm_colors_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(top_builddir)/kcontrol/krdb/libkrdb.la
+kcm_colors_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(top_builddir)/kcontrol/krdb/libkrdb.la $(LIB_QT) $(LIB_KDECORE) -lDCOP -lkdefx
 METASOURCES = colorscm.moc widgetcanvas.moc
 
 noinst_HEADERS = colorscm.h widgetcanvas.h
diff -Nurd kdebase-3.5.10/kcontrol/componentchooser/Makefile.am kdebase-3.5.10-new/kcontrol/componentchooser/Makefile.am
--- kdebase-3.5.10/kcontrol/componentchooser/Makefile.am	2005-09-10 01:25:04.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/componentchooser/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -7,7 +7,7 @@
 
 kcm_componentchooser_la_SOURCES = componentchooser_ui.ui componentconfig_ui.ui emailclientconfig_ui.ui terminalemulatorconfig_ui.ui browserconfig_ui.ui componentchooser.cpp kcm_componentchooser.cpp
 kcm_componentchooser_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_componentchooser_la_LIBADD =  $(LIB_KIO)
+kcm_componentchooser_la_LIBADD =  $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 xdg_apps_DATA = componentchooser.desktop
 
diff -Nurd kdebase-3.5.10/kcontrol/crypto/Makefile.am kdebase-3.5.10-new/kcontrol/crypto/Makefile.am
--- kdebase-3.5.10/kcontrol/crypto/Makefile.am	2007-10-08 02:51:15.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/crypto/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -6,7 +6,7 @@
 AM_CXXFLAGS = $(CXXFLAGS) -DLIBDIR=$(libdir)
 
 kcm_crypto_la_LDFLAGS  = $(KDE_RPATH) $(all_libraries) $(SSL_LDFLAGS) -module -avoid-version -no-undefined
-kcm_crypto_la_LIBADD = -lkdeui $(LIB_KIO) $(LIBSSL)
+kcm_crypto_la_LIBADD = -lkdeui $(LIB_KIO) $(LIBSSL) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kcontrol/css/Makefile.am kdebase-3.5.10-new/kcontrol/css/Makefile.am
--- kdebase-3.5.10/kcontrol/css/Makefile.am	2005-09-10 01:25:10.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/css/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -6,7 +6,7 @@
 kde_module_LTLIBRARIES = kcm_css.la
 kcm_css_la_SOURCES = template.cpp cssconfig.ui csscustom.ui kcmcss.cpp preview.ui
 kcm_css_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_css_la_LIBADD = -lkdeui $(LIB_KIO)
+kcm_css_la_LIBADD = -lkdeui $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES = AUTO
  
diff -Nurd kdebase-3.5.10/kcontrol/display/Makefile.am kdebase-3.5.10-new/kcontrol/display/Makefile.am
--- kdebase-3.5.10/kcontrol/display/Makefile.am	2005-09-10 01:25:12.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/display/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_display_la_SOURCES = display.cpp
 
 kcm_display_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_display_la_LIBADD = $(LIB_KUTILS)
+kcm_display_la_LIBADD = $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 AM_CPPFLAGS = $(all_includes) 
 
 METASOURCES = AUTO
diff -Nurd kdebase-3.5.10/kcontrol/dnssd/Makefile.am kdebase-3.5.10-new/kcontrol/dnssd/Makefile.am
--- kdebase-3.5.10/kcontrol/dnssd/Makefile.am	2005-09-10 01:25:12.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/dnssd/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 kcm_kdnssd_la_SOURCES = configdialog.ui kcmdnssd.cpp kcmdnssd.h
 
 xdg_apps_DATA = kcm_kdnssd.desktop
-kcm_kdnssd_la_LIBADD = $(LIB_KDNSSD) $(LIB_KDEUI)
+kcm_kdnssd_la_LIBADD = $(LIB_KDNSSD) $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 messages: rc.cpp
 	$(EXTRACTRC) *.ui *.rc >> rc.cpp
diff -Nurd kdebase-3.5.10/kcontrol/ebrowsing/Makefile.am kdebase-3.5.10-new/kcontrol/ebrowsing/Makefile.am
--- kdebase-3.5.10/kcontrol/ebrowsing/Makefile.am	2006-01-19 09:00:46.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/ebrowsing/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -9,7 +9,7 @@
 kcm_kurifilt_la_SOURCES = filteropts.cpp main.cpp
 
 kcm_kurifilt_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_kurifilt_la_LIBADD = $(LIB_KSYCOCA)
+kcm_kurifilt_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 # Don't link this lib to the plugins. They are dlopened and linking to them
 # results in crashes when closing kcmshell.
 # plugins/ikws/libkuriikwsfilter.la plugins/shorturi/libkshorturifilter.la
diff -Nurd kdebase-3.5.10/kcontrol/ebrowsing/plugins/ikws/Makefile.am kdebase-3.5.10-new/kcontrol/ebrowsing/plugins/ikws/Makefile.am
--- kdebase-3.5.10/kcontrol/ebrowsing/plugins/ikws/Makefile.am	2005-09-10 01:25:07.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/ebrowsing/plugins/ikws/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -9,10 +9,10 @@
 kde_module_LTLIBRARIES = libkuriikwsfilter.la libkurisearchfilter.la
 
 libkuriikwsfilter_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-libkuriikwsfilter_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI)
+libkuriikwsfilter_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 libkurisearchfilter_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-libkurisearchfilter_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI)
+libkurisearchfilter_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 libkuriikwsfilter_la_SOURCES = kuriikwsfiltereng.cpp kuriikwsfilter.skel \
     kuriikwsfilter.cpp searchprovider.cpp
diff -Nurd kdebase-3.5.10/kcontrol/ebrowsing/plugins/localdomain/Makefile.am kdebase-3.5.10-new/kcontrol/ebrowsing/plugins/localdomain/Makefile.am
--- kdebase-3.5.10/kcontrol/ebrowsing/plugins/localdomain/Makefile.am	2008-08-19 11:16:48.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/ebrowsing/plugins/localdomain/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = liblocaldomainurifilter.la
 
 liblocaldomainurifilter_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-liblocaldomainurifilter_la_LIBADD = $(LIB_KIO) $(LIB_KDEUI) $(LIB_KDECORE)
+liblocaldomainurifilter_la_LIBADD = $(LIB_KIO) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_QT) -lDCOP
 
 liblocaldomainurifilter_la_SOURCES = localdomainurifilter.cpp localdomainurifilter.skel
 
diff -Nurd kdebase-3.5.10/kcontrol/ebrowsing/plugins/shorturi/Makefile.am kdebase-3.5.10-new/kcontrol/ebrowsing/plugins/shorturi/Makefile.am
--- kdebase-3.5.10/kcontrol/ebrowsing/plugins/shorturi/Makefile.am	2008-08-19 11:16:48.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/ebrowsing/plugins/shorturi/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = libkshorturifilter.la
 
 libkshorturifilter_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-libkshorturifilter_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI)
+libkshorturifilter_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 libkshorturifilter_la_SOURCES = kshorturifilter.cpp kshorturifilter.skel
 
diff -Nurd kdebase-3.5.10/kcontrol/energy/Makefile.am kdebase-3.5.10-new/kcontrol/energy/Makefile.am
--- kdebase-3.5.10/kcontrol/energy/Makefile.am	2006-03-17 02:17:17.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/energy/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -6,7 +6,7 @@
 
 kcm_energy_la_SOURCES = energy.cpp
 kcm_energy_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kcm_energy_la_LIBADD = $(DPMSLIB) $(LIB_KDEUI) $(LIB_KIO)
+kcm_energy_la_LIBADD = $(DPMSLIB) $(LIB_KDEUI) $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 METASOURCES = energy.moc
 
 noinst_HEADERS = energy.h
diff -Nurd kdebase-3.5.10/kcontrol/filetypes/Makefile.am kdebase-3.5.10-new/kcontrol/filetypes/Makefile.am
--- kdebase-3.5.10/kcontrol/filetypes/Makefile.am	2005-09-10 01:25:08.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/filetypes/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -1,6 +1,6 @@
 AM_CPPFLAGS = $(all_includes)
 
-kcm_filetypes_la_LIBADD	= libfiletypes.la $(LIB_KIO)
+kcm_filetypes_la_LIBADD	= libfiletypes.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 kcm_filetypes_la_LDFLAGS = -module -avoid-version -no-undefined $(all_libraries)
 METASOURCES = AUTO
 
@@ -12,16 +12,18 @@
 	kservicelistwidget.h typeslistitem.h newtypedlg.h \
 	kserviceselectdlg.h
 
-bin_PROGRAMS = keditfiletype
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = keditfiletype.la
 
 noinst_LTLIBRARIES = libfiletypes.la
 libfiletypes_la_SOURCES = filetypesview.cpp filetypedetails.cpp filegroupdetails.cpp \
 		 kservicelistwidget.cpp typeslistitem.cpp newtypedlg.cpp \
 		 kserviceselectdlg.cpp
 
-keditfiletype_SOURCES = keditfiletype.cpp
-keditfiletype_LDADD = libfiletypes.la $(LIB_KIO)
-keditfiletype_LDFLAGS = $(KDE_RPATH) $(all_libraries)
+keditfiletype_la_SOURCES = keditfiletype.cpp
+keditfiletype_la_LIBADD = libfiletypes.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
+keditfiletype_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) -module
 
 messages:
 	$(XGETTEXT) *.cpp -o $(podir)/filetypes.pot
diff -Nurd kdebase-3.5.10/kcontrol/filetypes/keditfiletype.cpp kdebase-3.5.10-new/kcontrol/filetypes/keditfiletype.cpp
--- kdebase-3.5.10/kcontrol/filetypes/keditfiletype.cpp	2007-05-14 00:55:38.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/filetypes/keditfiletype.cpp	2010-05-13 05:26:40.000000000 -0700
@@ -108,7 +108,7 @@
   KCmdLineLastOption
 };
 
-int main(int argc, char ** argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char ** argv)
 {
   KLocale::setMainCatalogue("filetypes");
   KAboutData aboutData( "keditfiletype", I18N_NOOP("KEditFileType"), "1.0",
diff -Nurd kdebase-3.5.10/kcontrol/fonts/Makefile.am kdebase-3.5.10-new/kcontrol/fonts/Makefile.am
--- kdebase-3.5.10/kcontrol/fonts/Makefile.am	2007-05-14 00:55:34.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/fonts/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -1,16 +1,17 @@
 noinst_LTLIBRARIES = libkxftconfig.la
 
 libkxftconfig_la_SOURCES = kxftconfig.cpp
-libkxftconfig_la_LIBADD = $(LIBFONTCONFIG_LIBS)
+libkxftconfig_la_LIBADD = $(LIBFONTCONFIG_LIBS) $(LIB_QT) $(LIB_KDECORE)
 libkxftconfig_la_LDFLAGS = $(LIBFONTCONFIG_RPATH)
 
-AM_CPPFLAGS  = $(all_includes) $(LIBFONTCONFIG_CFLAGS) $(FREETYPE2_CFLAGS) -D_LARGEFILE64_SOURCE
+AM_CPPFLAGS  = $(LIBFONTCONFIG_CFLAGS) $(FREETYPE2_CFLAGS) -D_LARGEFILE64_SOURCE $(all_includes)
+AM_LDFLAGS = $(LIBFONTCONFIG_LDFLAGS) $(FREETYPE2_LDFLAGS) $(all_libraries)
 
 kde_module_LTLIBRARIES = kcm_fonts.la
 
 kcm_fonts_la_SOURCES = fonts.cpp
-kcm_fonts_la_LDFLAGS = $(KDE_RPATH) $(LIBFONTCONFIG_RPATH) $(FREETYPE2_LDFLAGS) -module -avoid-version $(all_libraries) -no-undefined
-kcm_fonts_la_LIBADD = libkxftconfig.la $(top_builddir)/kcontrol/krdb/libkrdb.la $(LIB_KDEUI) $(LIBFONTCONFIG_LIBS)
+kcm_fonts_la_LDFLAGS = $(LIBFONTCONFIG_LIBS) $(FREETYPE2_LDFLAGS) $(KDE_RPATH) -module -avoid-version $(all_libraries) -no-undefined
+kcm_fonts_la_LIBADD = $(LIBFONTCONFIG_LIBS) libkxftconfig.la $(top_builddir)/kcontrol/krdb/libkrdb.la $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP -lkdefx
 METASOURCES = AUTO
 
 noinst_HEADERS = fonts.h kxftconfig.h
diff -Nurd kdebase-3.5.10/kcontrol/fonts/configure.in.in kdebase-3.5.10-new/kcontrol/fonts/configure.in.in
--- kdebase-3.5.10/kcontrol/fonts/configure.in.in	2007-05-14 00:55:34.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/fonts/configure.in.in	2010-05-13 05:26:40.000000000 -0700
@@ -1,8 +1,6 @@
-KDE_FIND_PATH(fontconfig-config, FONTCONFIG_CONFIG, [${prefix}/bin ${exec_prefix}/bin /usr/bin /usr/local/bin /opt/local/bin], [
         KDE_FIND_PATH(pkg-config, PKGCONFIG, [${prefix}/bin ${exec_prefix}/bin /usr/bin /usr/local/bin /opt/local/bin], [
             AC_MSG_WARN([Could not find neither pkg-config nor fontconfig-config, check http://www.fontconfig.org/ ])
         ])
-])
 
 if test -n "$PKGCONFIG"; then
   vers=`$PKGCONFIG fontconfig --modversion 2>/dev/null | sed -e 's/libfontconfig //' | awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
diff -Nurd kdebase-3.5.10/kcontrol/icons/Makefile.am kdebase-3.5.10-new/kcontrol/icons/Makefile.am
--- kdebase-3.5.10/kcontrol/icons/Makefile.am	2006-03-17 02:17:18.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/icons/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -4,7 +4,7 @@
 
 kcm_icons_la_SOURCES = iconthemes.cpp icons.cpp main.cpp
 kcm_icons_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kcm_icons_la_LIBADD = $(LIB_KIO)
+kcm_icons_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 METASOURCES = AUTO 
 
@@ -13,7 +13,7 @@
 check_PROGRAMS = testicons
 testicons_SOURCES = testicons.cpp 
 testicons_LDFLAGS = $(all_libraries)
-testicons_LDADD = $(LIB_KDEUI) icons.lo
+testicons_LDADD = $(LIB_KDEUI) icons.lo $(LIB_QT) $(LIB_KDECORE)
 
 messages:
 	$(XGETTEXT) *.cpp -o $(podir)/kcmicons.pot
diff -Nurd kdebase-3.5.10/kcontrol/info/Makefile.am kdebase-3.5.10-new/kcontrol/info/Makefile.am
--- kdebase-3.5.10/kcontrol/info/Makefile.am	2006-07-22 01:15:25.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/info/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -7,7 +7,7 @@
 kcm_info_la_SOURCES = main.cpp memory.cpp opengl.cpp
 
 kcm_info_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined $(FRAMEWORK_COREAUDIO)
-kcm_info_la_LIBADD = $(LIBALIB) $(LIB_KDEUI) $(LIB_TRU64_MACH) $(LIBCFG) $(LIBODM) $(LIBKSTAT) $(LIBDEVINFO) $(GLLIB)
+kcm_info_la_LIBADD = $(LIBALIB) $(LIB_KDEUI) $(LIB_TRU64_MACH) $(LIBCFG) $(LIBODM) $(LIBKSTAT) $(LIBDEVINFO) $(GLLIB) $(LIB_QT) $(LIB_KDECORE)
 METASOURCES = AUTO
 
 AM_CPPFLAGS= $(all_includes) $(GLINC)
diff -Nurd kdebase-3.5.10/kcontrol/info/info_osx.cpp kdebase-3.5.10-new/kcontrol/info/info_osx.cpp
--- kdebase-3.5.10/kcontrol/info/info_osx.cpp	2005-10-10 08:03:43.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/info/info_osx.cpp	2010-05-13 05:26:40.000000000 -0700
@@ -113,7 +113,7 @@
 
 bool GetInfo_Sound (QListView *lBox)
 {
-#ifdef HAVE_COREAUDIO
+#if defined(HAVE_COREAUDIO) && !defined(__x86_64__)
 #define kMaxStringSize 1024
 	OSStatus status;
 	AudioDeviceID gOutputDeviceID;
diff -Nurd kdebase-3.5.10/kcontrol/input/Makefile.am kdebase-3.5.10-new/kcontrol/input/Makefile.am
--- kdebase-3.5.10/kcontrol/input/Makefile.am	2005-09-10 01:25:07.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/input/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -16,13 +16,13 @@
 
 kapplymousetheme_SOURCES = kapplymousetheme.cpp
 kapplymousetheme_LDFLAGS = $(all_libraries)
-kapplymousetheme_LDADD = $(LIB_XCURSOR) $(LIB_X11)
+kapplymousetheme_LDADD = $(LIB_XCURSOR) $(LIB_X11) $(LIB_QT) $(LIB_KDECORE)
 
 kde_module_LTLIBRARIES = kcm_input.la
 
 kcm_input_la_SOURCES = mouse.cpp kmousedlg.ui main.cpp logitechmouse.cpp logitechmouse_base.ui
 kcm_input_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_input_la_LIBADD = $(THEMEPAGE_LIB) $(XTESTLIB) $(LIB_KIO) $(LIB_XCURSOR) $(USB_LIBS)
+kcm_input_la_LIBADD = $(THEMEPAGE_LIB) $(XTESTLIB) $(LIB_KIO) $(LIB_XCURSOR) $(USB_LIBS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP $(LIB_XRENDER)
 
 METASOURCES = AUTO 
 
diff -Nurd kdebase-3.5.10/kcontrol/ioslaveinfo/Makefile.am kdebase-3.5.10-new/kcontrol/ioslaveinfo/Makefile.am
--- kdebase-3.5.10/kcontrol/ioslaveinfo/Makefile.am	2006-03-17 02:17:16.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/ioslaveinfo/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_ioslaveinfo_la_SOURCES = kcmioslaveinfo.cpp
 
 kcm_ioslaveinfo_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_ioslaveinfo_la_LIBADD = -lkdeui $(LIB_KIO)
+kcm_ioslaveinfo_la_LIBADD = -lkdeui $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 AM_CPPFLAGS= $(all_includes)
 
diff -Nurd kdebase-3.5.10/kcontrol/joystick/Makefile.am kdebase-3.5.10-new/kcontrol/joystick/Makefile.am
--- kdebase-3.5.10/kcontrol/joystick/Makefile.am	2005-09-10 01:25:11.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/joystick/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = kcm_joystick.la
 
 kcm_joystick_la_SOURCES = joystick.cpp joywidget.cpp poswidget.cpp joydevice.cpp caldialog.cpp
-kcm_joystick_la_LIBADD = $(LIB_KDEUI)
+kcm_joystick_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 kcm_joystick_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
 
 xdg_apps_DATA = joystick.desktop
diff -Nurd kdebase-3.5.10/kcontrol/kcontrol/Makefile.am kdebase-3.5.10-new/kcontrol/kcontrol/Makefile.am
--- kdebase-3.5.10/kcontrol/kcontrol/Makefile.am	2005-10-10 08:03:43.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kcontrol/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -32,7 +32,7 @@
 	moduleIface.cpp moduleIface.skel global.cpp modules.cpp \
 	proxywidget.cpp kcrootonly.cpp searchwidget.cpp
 
-kcontrol_la_LIBADD  = $(LIB_KDEUI) $(LIB_KUTILS) $(LIB_KHTML)
+kcontrol_la_LIBADD  = $(LIB_KDEUI) $(LIB_KUTILS) $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) -lDCOP $(LIB_KIO)
 kcontrol_la_LDFLAGS = $(all_libraries) -module -avoid-version
 
 rccontroldir = $(kde_datadir)/kcontrol
diff -Nurd kdebase-3.5.10/kcontrol/kded/Makefile.am kdebase-3.5.10-new/kcontrol/kded/Makefile.am
--- kdebase-3.5.10/kcontrol/kded/Makefile.am	2005-09-10 01:25:08.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kded/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_kded_la_SOURCES = kcmkded.cpp
 
 kcm_kded_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_kded_la_LIBADD =  $(LIB_KIO)
+kcm_kded_la_LIBADD =  $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 AM_CPPFLAGS= $(all_includes)
 
diff -Nurd kdebase-3.5.10/kcontrol/kdm/Makefile.am kdebase-3.5.10-new/kcontrol/kdm/Makefile.am
--- kdebase-3.5.10/kcontrol/kdm/Makefile.am	2005-09-10 01:25:12.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kdm/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 	kdm-users.cpp kdm-conv.cpp main.cpp kbackedcombobox.cpp
 
 kcm_kdm_la_LDFLAGS  = $(KDE_RPATH) $(all_libraries) -module -avoid-version -no-undefined
-kcm_kdm_la_LIBADD = $(top_builddir)/kcontrol/background/libkcmbgnd.la $(top_builddir)/kcontrol/background/libbgnd.la $(LIB_KIO) $(LIB_KNEWSTUFF)
+kcm_kdm_la_LIBADD = $(top_builddir)/kcontrol/background/libkcmbgnd.la $(top_builddir)/kcontrol/background/libbgnd.la $(LIB_KIO) $(LIB_KNEWSTUFF) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lkdefx -lDCOP
 
 AM_CPPFLAGS= -I$(top_builddir)/kcontrol/background \
           -I$(top_srcdir)/kcontrol/background \
diff -Nurd kdebase-3.5.10/kcontrol/keys/Makefile.am kdebase-3.5.10-new/kcontrol/keys/Makefile.am
--- kdebase-3.5.10/kcontrol/keys/Makefile.am	2005-09-10 01:25:12.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/keys/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -1,7 +1,7 @@
 kde_module_LTLIBRARIES = kcm_keys.la
 
 kcm_keys_la_SOURCES =  shortcuts.cpp modifiers.cpp main.cpp khotkeys.cpp treeview.cpp commandShortcuts.cpp
-kcm_keys_la_LIBADD   = -lkdeui -lkio
+kcm_keys_la_LIBADD   = -lkdeui -lkio $(LIB_QT) $(LIB_KDECORE)
 kcm_keys_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
 
 AM_CPPFLAGS= $(all_includes)
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/configure.in.in kdebase-3.5.10-new/kcontrol/kfontinst/configure.in.in
--- kdebase-3.5.10/kcontrol/kfontinst/configure.in.in	2006-01-19 09:00:50.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/kfontinst/configure.in.in	2010-05-13 05:26:40.000000000 -0700
@@ -36,11 +36,9 @@
 
     KFI_FOUND_FONTCONFIG=0
     # check for fontconfig...
-    KDE_FIND_PATH(fontconfig-config, FONTCONFIG_CONFIG, [${prefix}/bin ${exec_prefix}/bin /usr/bin /usr/local/bin /opt/local/bin], [
             KDE_FIND_PATH(pkg-config, PKGCONFIG, [${prefix}/bin ${exec_prefix}/bin /usr/bin /usr/local/bin /opt/local/bin], [
                 AC_MSG_WARN([Could not find neither pkg-config nor fontconfig-config, check http://www.fontconfig.org/ ])
             ])
-    ])
 
     if test -n "$PKGCONFIG"; then
         vers=`$PKGCONFIG fontconfig --modversion 2>/dev/null | sed -e 's/libfontconfig //' | awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
